Package org.eclipse.birt.chart.ui.swt.interfaces

# Interface IChartType

public interface IChartType
IChartType

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`THREE_DIMENSION_TYPE`
Type constant of 3D.
`static final String`
`TWO_DIMENSION_TYPE`
Type constant of 2D.
`static final String`
`TWO_DIMENSION_WITH_DEPTH_TYPE`
Type constant of 2D with depth.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canAdapt(org.eclipse.birt.chart.model.Chart cModel, Hashtable htModelHints)`
Deprecated.
do not use any more
`boolean`
`canCombine()`
Return true if the type can be used in a combination chart.
`boolean`
`canExpand()`
Returns true if current chart type can expand according to the category number.
`ISelectDataComponent`
`getBaseUI(org.eclipse.birt.chart.model.Chart chart, ISelectDataCustomizeUI selectDataUI, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context, String sTitle)`
Returns base UI in data sheet
`Collection<IChartSubType>`
`getChartSubtypes(String Dimension, org.eclipse.birt.chart.model.attribute.Orientation orientation)`
Returns the names of the chart sub-types available for this type.
`String`
`getDefaultDimension()`
Returns the default dimension of this chart type.
`org.eclipse.birt.chart.model.attribute.Orientation`
`getDefaultOrientation()`
Returns the default orientation.
`String`
`getDefaultTitle()`
Return the default chart title.
`String`
`getDisplayName()`
Returns the display name of the chart type.
`IHelpContent`
`getHelp()`
Deprecated.
do not use any more
`org.eclipse.swt.graphics.Image`
`getImage()`
Returns the image icon of the chart type.
`org.eclipse.birt.chart.model.Chart`
`getModel(String sType, org.eclipse.birt.chart.model.attribute.Orientation Orientation, String Dimension, org.eclipse.birt.chart.model.Chart currentChart)`
Returns the Chart model for given parameters.
`String`
`getName()`
Returns the name of the chart type.
`org.eclipse.birt.chart.model.component.Series`
`getSeries()`
Creates the corresponding series model.
`org.eclipse.birt.chart.model.component.Series`
`getSeries(boolean needInitialing)`
Creates the corresponding series model with set 'isSet' flag for series properties.
`String[]`
`getSupportedDimensions()`
Returns the dimension array this chart type supports.
`String`
`getValueDefinitionName()`
Returns value definition name in data sheet.
`boolean`
`isChartWithAxes()`
Check if the chart type supports axes.
`boolean`
`isDimensionSupported(String dimensionType, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context, int nbOfAxes, int nbOfSeries)`
Checks whether the dimension is valid with specified number of axes or series.
`boolean`
`supportsTransposition()`
Returns if this chart type supports transposition.
`boolean`
`supportsTransposition(String dimension)`
Returns if this chart type supports transposition for given dimension.

## Field Details

### TWO_DIMENSION_TYPE

static final String TWO_DIMENSION_TYPE
Type constant of 2D.

### TWO_DIMENSION_WITH_DEPTH_TYPE

static final String TWO_DIMENSION_WITH_DEPTH_TYPE
Type constant of 2D with depth.

### THREE_DIMENSION_TYPE

static final String THREE_DIMENSION_TYPE
Type constant of 3D.

## Method Details

### getName

String getName()
Returns the name of the chart type.

Returns:
  Chart type name.

### getDisplayName

String getDisplayName()
Returns the display name of the chart type. This is what appears in the selection list in the Chart Selector UI.

Returns:
  Chart type display name.
Since:
  Version 2.1

### getImage

org.eclipse.swt.graphics.Image getImage()
Returns the image icon of the chart type. This is what appears in the selection list in the Chart Selector UI.

Returns:
  Chart image icon.

### getChartSubtypes

Collection<IChartSubType> getChartSubtypes(String Dimension, org.eclipse.birt.chart.model.attribute.Orientation orientation)
Returns the names of the chart sub-types available for this type. These names are used to build the sub-type selection panel in the Chart Selector UI.

Returns:
  Array of sub-type names.

### canAdapt

@Deprecated boolean canAdapt(org.eclipse.birt.chart.model.Chart cModel, Hashtable htModelHints)
Deprecated.
do not use any more
Returns whether this type implementation can process the specified model. The first instance that returns true will be considered as the correct chart type. If all types return false, the chart type and subtype from the model will be used.

Parameters:
  `cModel` - chart model representing an existing chart
  `htModelHints` - pre-computed 'hints' from the model to reduce computations needed to be performed by each implementation.
Returns:
  true if this chart type can adapt the specified model to its own type. false if it cannot.

### getModel

org.eclipse.birt.chart.model.Chart getModel(String sType, org.eclipse.birt.chart.model.attribute.Orientation Orientation, String Dimension, org.eclipse.birt.chart.model.Chart currentChart)
Returns the Chart model for given parameters.

Parameters:
  `sType` -
  `Orientation` -
  `Dimension` -
  `currentChart` -

### getSupportedDimensions

String[] getSupportedDimensions()
Returns the dimension array this chart type supports.

### getDefaultDimension

String getDefaultDimension()
Returns the default dimension of this chart type.

### supportsTransposition

boolean supportsTransposition()
Returns if this chart type supports transposition.

### supportsTransposition

boolean supportsTransposition(String dimension)
Returns if this chart type supports transposition for given dimension.

Since:
  2.0

### getDefaultOrientation

org.eclipse.birt.chart.model.attribute.Orientation getDefaultOrientation()
Returns the default orientation.

Since:
  2.2

### getHelp

@Deprecated IHelpContent getHelp()
Deprecated.
do not use any more
Returns the help information.

### getBaseUI

ISelectDataComponent getBaseUI(org.eclipse.birt.chart.model.Chart chart, ISelectDataCustomizeUI selectDataUI, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context, String sTitle)
Returns base UI in data sheet

Parameters:
  `chart` -
  `selectDataUI` -
  `context` -
  `sTitle` -
Returns:
  UI component
Since:
  2.0

### isDimensionSupported

boolean isDimensionSupported(String dimensionType, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context, int nbOfAxes, int nbOfSeries)
Checks whether the dimension is valid with specified number of axes or series.

Parameters:
  `dimensionType` - dimension type
  `nbOfAxes` - number of axes
  `nbOfSeries` - number of series
Returns:
  dimension is valid or invalid
Since:
  2.1

### getSeries

org.eclipse.birt.chart.model.component.Series getSeries()
Creates the corresponding series model.

Since:
  2.2

### getSeries

org.eclipse.birt.chart.model.component.Series getSeries(boolean needInitialing)
Creates the corresponding series model with set 'isSet' flag for series properties.

Parameters:
  `needInitialing` -
Returns:
  series instance

### canCombine

boolean canCombine()
Return true if the type can be used in a combination chart.

Returns:
  true if the type can be used in a combination chart.
Since:
  2.3

### getDefaultTitle

String getDefaultTitle()
Return the default chart title.

Returns:
  default chart title
Since:
  2.5

### canExpand

boolean canExpand()
Returns true if current chart type can expand according to the category number.

Returns:
  true if this chart size can expand according to the category number.
Since:
  2.6

### getValueDefinitionName

String getValueDefinitionName()
Returns value definition name in data sheet.

Returns:
  value definition name
Since:
  4.0

### isChartWithAxes

boolean isChartWithAxes()
Check if the chart type supports axes.

Returns:
  true if chart has axis.